# Geo Visibility

### How Does It Work?

Geoflow evaluates the conditions defined in the Geo Visibility data attribute against the visitor data properties. If the conditions match (returns true), the element will become visible. Otherwise, the hidden attribute will be applied to the element.

### How To Implement

<table><thead><tr><th>Attribute Name</th><th width="266.3333333333333">Attribute Value</th><th>Which Page Element?</th></tr></thead><tbody><tr><td>data-geo-visibility</td><td>conditionName:conditionValue</td><td>Any Element</td></tr></tbody></table>

The condition name is case-sensitive and must match the 'Property Variable' for that visitor data property in the [Visitor Data Properties table](https://developers.getgeoflow.com/geoflow-docs/overview/visitor-data-properties).

The case sensitivity and validity for the condition value depend on the data type. For example, when defining a condition based on a country code, the value must be an [ISO Alpha-2 Code](https://www.iso.org/obp/ui/#search/code/).

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th>Attribute Value</th><th>Description</th><th data-hidden>Attribute Name</th></tr></thead><tbody><tr><td><mark style="color:yellow;"><code>countryCode:AU</code></mark></td><td>The element is only visible to visitors currently in the country Australia (AU).</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>isMobile:true;countryCode:CA</code></mark></td><td>The element is visible to mobile visitors or anyone currently in Canada.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>language:fr</code></mark></td><td>The element is only visible if the primary browser language is set to French.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>deviceType:Desktop;isEU:true</code></mark></td><td>The element is only visible to visitors in the European Union or desktop computer users.</td><td></td></tr></tbody></table>

### Explore Further

{% content-ref url="visibility/define-multiple-conditions" %}
[define-multiple-conditions](https://developers.getgeoflow.com/geoflow-docs/feature/visibility/define-multiple-conditions)
{% endcontent-ref %}

{% content-ref url="visibility/match-all-conditions" %}
[match-all-conditions](https://developers.getgeoflow.com/geoflow-docs/feature/visibility/match-all-conditions)
{% endcontent-ref %}

{% content-ref url="visibility/partially-match-condition" %}
[partially-match-condition](https://developers.getgeoflow.com/geoflow-docs/feature/visibility/partially-match-condition)
{% endcontent-ref %}

{% content-ref url="visibility/reverse-condition-value" %}
[reverse-condition-value](https://developers.getgeoflow.com/geoflow-docs/feature/visibility/reverse-condition-value)
{% endcontent-ref %}

{% content-ref url="visibility/custom-classes" %}
[custom-classes](https://developers.getgeoflow.com/geoflow-docs/feature/visibility/custom-classes)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/feature/visibility.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
